﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>
    </ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{66DABFD5-5BD2-4478-8DF9-C589F569F7A2}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>HeuristicLab_33.Tests</RootNamespace>
    <AssemblyName>HeuristicLab-3.3.Tests</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{3AC096D0-A1C2-E12C-1390-A8335801FDAB};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x86\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <CodeAnalysisLogFile>bin\Debug\HeuristicLab-3.3.Tests.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRuleSetDirectories>;c:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
    <CodeAnalysisRuleDirectories>;c:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
    <OutputPath>bin\x86\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <CodeAnalysisLogFile>bin\Release\HeuristicLab-3.3.Tests.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRuleSetDirectories>;c:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
    <CodeAnalysisIgnoreBuiltInRuleSets>false</CodeAnalysisIgnoreBuiltInRuleSets>
    <CodeAnalysisRuleDirectories>;c:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
    <CodeAnalysisIgnoreBuiltInRules>false</CodeAnalysisIgnoreBuiltInRules>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x64\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <CodeAnalysisLogFile>bin\Debug\HeuristicLab-3.3.Tests.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRuleSetDirectories>;c:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
    <CodeAnalysisRuleDirectories>;c:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <OutputPath>bin\x64\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <CodeAnalysisLogFile>bin\Release\HeuristicLab-3.3.Tests.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRuleSetDirectories>;c:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
    <CodeAnalysisIgnoreBuiltInRuleSets>false</CodeAnalysisIgnoreBuiltInRuleSets>
    <CodeAnalysisRuleDirectories>;c:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
    <CodeAnalysisIgnoreBuiltInRules>false</CodeAnalysisIgnoreBuiltInRules>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="ICSharpCode.NRefactory">
      <HintPath>..\..\..\HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.1.1.5327\ICSharpCode.NRefactory.dll</HintPath>
    </Reference>
    <Reference Include="ICSharpCode.SharpDevelop.Dom">
      <HintPath>..\..\..\HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.1.1.5327\ICSharpCode.SharpDevelop.Dom.dll</HintPath>
    </Reference>
    <Reference Include="ICSharpCode.TextEditor">
      <HintPath>..\..\..\HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.1.1.5327\ICSharpCode.TextEditor.dll</HintPath>
    </Reference>
    <Reference Include="log4net">
      <HintPath>..\..\..\HeuristicLab.ExtLibs\HeuristicLab.log4net\1.2.10.0\log4net.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.VisualStudio.QualityTools.UnitTestFramework, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Mono.Cecil">
      <HintPath>..\..\..\HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.1.1.5327\Mono.Cecil.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Windows.Forms" />
  </ItemGroup>
  <ItemGroup>
    <CodeAnalysisDependentAssemblyPaths Condition=" '$(VS100COMNTOOLS)' != '' " Include="$(VS100COMNTOOLS)..\IDE\PrivateAssemblies">
      <Visible>False</Visible>
    </CodeAnalysisDependentAssemblyPaths>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AlgorithmExtensions.cs" />
    <Compile Include="CloningConstructorTest.cs" />
    <Compile Include="CollectObjectGraphTest.cs" />
    <Compile Include="ContentViewTests.cs" />
    <Compile Include="SupportVectorMachineTest.cs" />
    <Compile Include="ThreadSafeLogTest.cs" />
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="SamplesTest.cs" />
    <Compile Include="SymbolicRegressionTest.cs" />
    <Compile Include="PluginDependenciesTest.cs" />
    <Compile Include="PluginLoader.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="GeneticAlgorithmTest.cs" />
    <Compile Include="StorableConstructorTest.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\..\HeuristicLab.Algorithms.DataAnalysis.Views\3.4\HeuristicLab.Algorithms.DataAnalysis.Views-3.4.csproj">
      <Project>{A2330DB0-413D-4424-B4E6-591118E2B9F8}</Project>
      <Name>HeuristicLab.Algorithms.DataAnalysis.Views-3.4</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Algorithms.DataAnalysis\3.4\HeuristicLab.Algorithms.DataAnalysis-3.4.csproj">
      <Project>{2E782078-FA81-4B70-B56F-74CE38DAC6C8}</Project>
      <Name>HeuristicLab.Algorithms.DataAnalysis-3.4</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Algorithms.EvolutionStrategy\3.3\HeuristicLab.Algorithms.EvolutionStrategy-3.3.csproj">
      <Project>{E0B45023-CB84-48A1-A1B7-8295B64B7BAD}</Project>
      <Name>HeuristicLab.Algorithms.EvolutionStrategy-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Algorithms.GeneticAlgorithm\3.3\HeuristicLab.Algorithms.GeneticAlgorithm-3.3.csproj">
      <Project>{A51DA44F-CB35-4F6F-99F5-2A2E904AB93B}</Project>
      <Name>HeuristicLab.Algorithms.GeneticAlgorithm-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Algorithms.LocalSearch\3.3\HeuristicLab.Algorithms.LocalSearch-3.3.csproj">
      <Project>{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}</Project>
      <Name>HeuristicLab.Algorithms.LocalSearch-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Algorithms.NSGA2\3.3\HeuristicLab.Algorithms.NSGA2-3.3.csproj">
      <Project>{15452B9F-A436-4139-8EE7-DA72FB8D3664}</Project>
      <Name>HeuristicLab.Algorithms.NSGA2-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm\3.3\HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3.csproj">
      <Project>{F409DD9E-1E9C-4EB1-AA3A-9F6E987C6E58}</Project>
      <Name>HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Algorithms.ParticleSwarmOptimization\3.3\HeuristicLab.Algorithms.ParticleSwarmOptimization-3.3.csproj">
      <Project>{2C429157-9C34-4DD3-9D5F-B444B751E39A}</Project>
      <Name>HeuristicLab.Algorithms.ParticleSwarmOptimization-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Algorithms.SimulatedAnnealing\3.3\HeuristicLab.Algorithms.SimulatedAnnealing-3.3.csproj">
      <Project>{96E5ED5B-187D-4012-9CDA-D85CDAD38342}</Project>
      <Name>HeuristicLab.Algorithms.SimulatedAnnealing-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Algorithms.TabuSearch\3.3\HeuristicLab.Algorithms.TabuSearch-3.3.csproj">
      <Project>{D58A232D-04BA-4186-B73E-0EC86FD31ABE}</Project>
      <Name>HeuristicLab.Algorithms.TabuSearch-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Algorithms.VariableNeighborhoodSearch\3.3\HeuristicLab.Algorithms.VariableNeighborhoodSearch-3.3.csproj">
      <Project>{E4CFB0C3-0589-4893-B38E-8BEDF885C765}</Project>
      <Name>HeuristicLab.Algorithms.VariableNeighborhoodSearch-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Analysis.Views\3.3\HeuristicLab.Analysis.Views-3.3.csproj">
      <Project>{76945D76-CA61-4147-9DC2-0ACDCDDF87F9}</Project>
      <Name>HeuristicLab.Analysis.Views-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Analysis\3.3\HeuristicLab.Analysis-3.3.csproj">
      <Project>{887425B4-4348-49ED-A457-B7D2C26DDBF9}</Project>
      <Name>HeuristicLab.Analysis-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Clients.Common\3.3\HeuristicLab.Clients.Common-3.3.csproj">
      <Project>{730A9104-D4D1-4360-966B-E49B7571DDA3}</Project>
      <Name>HeuristicLab.Clients.Common-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.CodeEditor\3.3\HeuristicLab.CodeEditor-3.3.csproj">
      <Project>{489CFE09-FDF7-4C89-BAB5-BD09CADD61AD}</Project>
      <Name>HeuristicLab.CodeEditor-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Collections\3.3\HeuristicLab.Collections-3.3.csproj">
      <Project>{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}</Project>
      <Name>HeuristicLab.Collections-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Common.Resources\3.3\HeuristicLab.Common.Resources-3.3.csproj">
      <Project>{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}</Project>
      <Name>HeuristicLab.Common.Resources-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Common\3.3\HeuristicLab.Common-3.3.csproj">
      <Project>{A9AD58B9-3EF9-4CC1-97E5-8D909039FF5C}</Project>
      <Name>HeuristicLab.Common-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Core.Views\3.3\HeuristicLab.Core.Views-3.3.csproj">
      <Project>{E226881D-315F-423D-B419-A766FE0D8685}</Project>
      <Name>HeuristicLab.Core.Views-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
      <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
      <Name>HeuristicLab.Core-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Data.Views\3.3\HeuristicLab.Data.Views-3.3.csproj">
      <Project>{72104A0B-90E7-42F3-9ABE-9BBBADD4B943}</Project>
      <Name>HeuristicLab.Data.Views-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Data\3.3\HeuristicLab.Data-3.3.csproj">
      <Project>{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}</Project>
      <Name>HeuristicLab.Data-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.DebugEngine\3.3\HeuristicLab.DebugEngine-3.3.csproj">
      <Project>{49F28045-7B5F-411B-8D59-16C846FA26E0}</Project>
      <Name>HeuristicLab.DebugEngine-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Encodings.BinaryVectorEncoding\3.3\HeuristicLab.Encodings.BinaryVectorEncoding-3.3.csproj">
      <Project>{66D249C3-A01D-42A8-82A2-919BC8EC3D83}</Project>
      <Name>HeuristicLab.Encodings.BinaryVectorEncoding-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Encodings.IntegerVectorEncoding\3.3\HeuristicLab.Encodings.IntegerVectorEncoding-3.3.csproj">
      <Project>{DDFB14DD-2A85-493C-A52D-E69729BBAEB0}</Project>
      <Name>HeuristicLab.Encodings.IntegerVectorEncoding-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Encodings.PermutationEncoding.Views\3.3\HeuristicLab.Encodings.PermutationEncoding.Views-3.3.csproj">
      <Project>{3EAF1454-086D-44A2-8509-B1BA24DB1865}</Project>
      <Name>HeuristicLab.Encodings.PermutationEncoding.Views-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Encodings.PermutationEncoding\3.3\HeuristicLab.Encodings.PermutationEncoding-3.3.csproj">
      <Project>{DBECB8B0-B166-4133-BAF1-ED67C3FD7FCA}</Project>
      <Name>HeuristicLab.Encodings.PermutationEncoding-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Encodings.RealVectorEncoding\3.3\HeuristicLab.Encodings.RealVectorEncoding-3.3.csproj">
      <Project>{BB6D334A-4BB6-4674-9883-31A6EBB32CAB}</Project>
      <Name>HeuristicLab.Encodings.RealVectorEncoding-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views\3.4\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views-3.4.csproj">
      <Project>{423BD94F-963A-438E-BA45-3BB3D61CD03B}</Project>
      <Name>HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views-3.4</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding\3.4\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4.csproj">
      <Project>{06D4A186-9319-48A0-BADE-A2058D462EEA}</Project>
      <Name>HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\3.1.0\ALGLIB-3.1.0\ALGLIB-3.1.0.csproj">
      <Project>{FC841674-62A7-4055-BE91-E41944B6C606}</Project>
      <Name>ALGLIB-3.1.0</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\3.1.0\HeuristicLab.ALGLIB-3.1.0\HeuristicLab.ALGLIB-3.1.0.csproj">
      <Project>{DE69A359-A5B8-4D3D-BA8D-D5780D7F96D6}</Project>
      <Name>HeuristicLab.ALGLIB-3.1.0 %28HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\HeuristicLab.ALGLIB-3.1.0\HeuristicLab.ALGLIB-3.1.0%29</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.ExtLibs\HeuristicLab.LibSVM\1.6.3\HeuristicLab.LibSVM-1.6.3\HeuristicLab.LibSVM-1.6.3.csproj">
      <Project>{89B50302-9CEE-4D13-9779-633EADCAE624}</Project>
      <Name>HeuristicLab.LibSVM-1.6.3 %28HeuristicLab.ExtLibs\HeuristicLab.LibSVM\HeuristicLab.LibSVM-1.6.3\HeuristicLab.LibSVM-1.6.3%29</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.ExtLibs\HeuristicLab.LibSVM\1.6.3\LibSVM-1.6.3\LibSVM-1.6.3.csproj">
      <Project>{A16F23B5-FB62-499E-A831-26953AA56FE2}</Project>
      <Name>LibSVM-1.6.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.ExtLibs\HeuristicLab.log4net\1.2.10.0\HeuristicLab.log4net-1.2.10.0.csproj">
      <Project>{1B3063DB-D71C-4A6A-A359-883E8F53A140}</Project>
      <Name>HeuristicLab.log4net-1.2.10.0</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.ExtLibs\HeuristicLab.Netron\3.0.2672.12446\HeuristicLab.Netron-3.0.2672.12446\HeuristicLab.Netron-3.0.2672.12446.csproj">
      <Project>{BB994448-2B21-4564-BB2E-38D8FFF8CF18}</Project>
      <Name>HeuristicLab.Netron-3.0.2672.12446 %28HeuristicLab.ExtLibs\HeuristicLab.Netron\HeuristicLab.Netron-3.0.2672.12446\HeuristicLab.Netron-3.0.2672.12446%29</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.ExtLibs\HeuristicLab.Netron\3.0.2672.12446\Netron.Diagramming.Core-3.0.2672.12446\Netron.Diagramming.Core-3.0.2672.12446.csproj">
      <Project>{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}</Project>
      <Name>Netron.Diagramming.Core-3.0.2672.12446</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\HeuristicLab.ProtobufCS\HeuristicLab.ProtobufCS-0.9.1.csproj">
      <Project>{236459CE-80CF-4991-972F-DE74C826BCCC}</Project>
      <Name>HeuristicLab.ProtobufCS-0.9.1 %28HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\HeuristicLab.ProtobufCS-0.9.1\HeuristicLab.ProtobufCS-0.9.1%29</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\ProtocolBuffers\ProtocolBuffers.csproj">
      <Project>{6908BDCE-D925-43F3-94AC-A531E6DF2591}</Project>
      <Name>ProtocolBuffers</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\ProtoGen\ProtoGen.csproj">
      <Project>{250ADE34-82FD-4BAE-86D5-985FBE589C4A}</Project>
      <Name>ProtoGen</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.1.1.5327\HeuristicLab.SharpDevelop-3.1.1.5327.csproj">
      <Project>{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}</Project>
      <Name>HeuristicLab.SharpDevelop-3.1.1.5327</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.3.1\HeuristicLab.WinFormsUI-2.3.1\HeuristicLab.WinFormsUI-2.3.1.csproj">
      <Project>{678E2145-8152-4E19-9646-07D439D00301}</Project>
      <Name>HeuristicLab.WinFormsUI-2.3.1 %28HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\HeuristicLab.WinFormsUI-2.3.1\HeuristicLab.WinFormsUI-2.3.1%29</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.3.1\WinFormsUI-2.3.1\WinFormsUI-2.3.1.csproj">
      <Project>{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}</Project>
      <Name>WinFormsUI-2.3.1</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.MainForm.WindowsForms\3.3\HeuristicLab.MainForm.WindowsForms-3.3.csproj">
      <Project>{AB687BBE-1BFE-476B-906D-44237135431D}</Project>
      <Name>HeuristicLab.MainForm.WindowsForms-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.MainForm\3.3\HeuristicLab.MainForm-3.3.csproj">
      <Project>{3BD61258-31DA-4B09-89C0-4F71FEF5F05A}</Project>
      <Name>HeuristicLab.MainForm-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Operators.Programmable\3.3\HeuristicLab.Operators.Programmable-3.3.csproj">
      <Project>{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}</Project>
      <Name>HeuristicLab.Operators.Programmable-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Operators.Views.GraphVisualization.Views\3.3\HeuristicLab.Operators.Views.GraphVisualization.Views-3.3.csproj">
      <Project>{0C39A349-1979-419A-89BD-E4E2F26BD287}</Project>
      <Name>HeuristicLab.Operators.Views.GraphVisualization.Views-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Operators.Views.GraphVisualization\3.3\HeuristicLab.Operators.Views.GraphVisualization-3.3.csproj">
      <Project>{57F38579-409D-4DD8-AB19-3F2C4A665126}</Project>
      <Name>HeuristicLab.Operators.Views.GraphVisualization-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Operators.Views\3.3\HeuristicLab.Operators.Views-3.3.csproj">
      <Project>{C49CB749-8B24-4628-8003-E86475749410}</Project>
      <Name>HeuristicLab.Operators.Views-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Operators\3.3\HeuristicLab.Operators-3.3.csproj">
      <Project>{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}</Project>
      <Name>HeuristicLab.Operators-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Optimization.Operators\3.3\HeuristicLab.Optimization.Operators-3.3.csproj">
      <Project>{25087811-F74C-4128-BC86-8324271DA13E}</Project>
      <Name>HeuristicLab.Optimization.Operators-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Optimization.Views\3.3\HeuristicLab.Optimization.Views-3.3.csproj">
      <Project>{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}</Project>
      <Name>HeuristicLab.Optimization.Views-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Optimization\3.3\HeuristicLab.Optimization-3.3.csproj">
      <Project>{14AB8D24-25BC-400C-A846-4627AA945192}</Project>
      <Name>HeuristicLab.Optimization-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Optimizer\3.3\HeuristicLab.Optimizer-3.3.csproj">
      <Project>{C664305E-497C-4533-A140-967DEDB05C19}</Project>
      <Name>HeuristicLab.Optimizer-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.ParallelEngine\3.3\HeuristicLab.ParallelEngine-3.3.csproj">
      <Project>{00814351-4AB8-4088-9B99-F62787B89E93}</Project>
      <Name>HeuristicLab.ParallelEngine-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Parameters.Views\3.3\HeuristicLab.Parameters.Views-3.3.csproj">
      <Project>{AE5B1CE5-9862-4D6F-A700-D72CD9AEA295}</Project>
      <Name>HeuristicLab.Parameters.Views-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Parameters\3.3\HeuristicLab.Parameters-3.3.csproj">
      <Project>{56F9106A-079F-4C61-92F6-86A84C2D84B7}</Project>
      <Name>HeuristicLab.Parameters-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Persistence.GUI\3.3\HeuristicLab.Persistence.GUI-3.3.csproj">
      <Project>{A9E282EA-180F-4233-B809-AEDF0787545C}</Project>
      <Name>HeuristicLab.Persistence.GUI-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
      <Project>{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}</Project>
      <Name>HeuristicLab.Persistence-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
      <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.ArtificialAnt.Views\3.4\HeuristicLab.Problems.ArtificialAnt.Views-3.4.csproj">
      <Project>{3083C7AA-5AF4-4C75-BA19-B69B86E2F66A}</Project>
      <Name>HeuristicLab.Problems.ArtificialAnt.Views-3.4</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.ArtificialAnt\3.4\HeuristicLab.Problems.ArtificialAnt-3.4.csproj">
      <Project>{0C67A033-F6D9-4237-B3CA-C033A44706BE}</Project>
      <Name>HeuristicLab.Problems.ArtificialAnt-3.4</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views\3.4\HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views-3.4.csproj">
      <Project>{BF1E4DF4-A4CC-451F-9D50-303F405E265E}</Project>
      <Name>HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views-3.4</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.DataAnalysis.Symbolic.Classification\3.4\HeuristicLab.Problems.DataAnalysis.Symbolic.Classification-3.4.csproj">
      <Project>{05BAE4E1-A9FA-4644-AA77-42558720159E}</Project>
      <Name>HeuristicLab.Problems.DataAnalysis.Symbolic.Classification-3.4</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views\3.4\HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views-3.4.csproj">
      <Project>{20831A74-D18F-42D9-A667-1CE3AF53DF93}</Project>
      <Name>HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views-3.4</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.DataAnalysis.Symbolic.Regression\3.4\HeuristicLab.Problems.DataAnalysis.Symbolic.Regression-3.4.csproj">
      <Project>{5AC82412-911B-4FA2-A013-EDC5E3F3FCC2}</Project>
      <Name>HeuristicLab.Problems.DataAnalysis.Symbolic.Regression-3.4</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.DataAnalysis.Symbolic.Views\3.4\HeuristicLab.Problems.DataAnalysis.Symbolic.Views-3.4.csproj">
      <Project>{7A2531CE-3F7C-4F13-BCCA-ED6DC27A7086}</Project>
      <Name>HeuristicLab.Problems.DataAnalysis.Symbolic.Views-3.4</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.DataAnalysis.Symbolic\3.4\HeuristicLab.Problems.DataAnalysis.Symbolic-3.4.csproj">
      <Project>{3D28463F-EC96-4D82-AFEE-38BE91A0CA00}</Project>
      <Name>HeuristicLab.Problems.DataAnalysis.Symbolic-3.4</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.DataAnalysis.Views\3.4\HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj">
      <Project>{3E9E8944-44FF-40BB-A622-3A4A7DD0F198}</Project>
      <Name>HeuristicLab.Problems.DataAnalysis.Views-3.4</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.DataAnalysis\3.4\HeuristicLab.Problems.DataAnalysis-3.4.csproj">
      <Project>{DF87C13E-A889-46FF-8153-66DCAA8C5674}</Project>
      <Name>HeuristicLab.Problems.DataAnalysis-3.4</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.ExternalEvaluation.GP\3.4\HeuristicLab.Problems.ExternalEvaluation.GP-3.4.csproj">
      <Project>{B7A64A60-B538-479F-9C47-A3180C458F6C}</Project>
      <Name>HeuristicLab.Problems.ExternalEvaluation.GP-3.4</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.ExternalEvaluation.Views\3.3\HeuristicLab.Problems.ExternalEvaluation.Views-3.3.csproj">
      <Project>{3081630C-9521-47D7-8075-1777C12F212C}</Project>
      <Name>HeuristicLab.Problems.ExternalEvaluation.Views-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.ExternalEvaluation\3.3\HeuristicLab.Problems.ExternalEvaluation-3.3.csproj">
      <Project>{25735DB4-8E54-4A2C-83E3-A60C76565E55}</Project>
      <Name>HeuristicLab.Problems.ExternalEvaluation-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.Knapsack.Views\3.3\HeuristicLab.Problems.Knapsack.Views-3.3.csproj">
      <Project>{A9EE65D9-405B-4C9C-B470-FC911AAC541B}</Project>
      <Name>HeuristicLab.Problems.Knapsack.Views-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.Knapsack\3.3\HeuristicLab.Problems.Knapsack-3.3.csproj">
      <Project>{E10F395F-C8A6-48AD-B470-9AA7A1F43809}</Project>
      <Name>HeuristicLab.Problems.Knapsack-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.OneMax.Views\3.3\HeuristicLab.Problems.OneMax.Views-3.3.csproj">
      <Project>{4FE983A1-AAF8-4977-B9E2-52B3224510CB}</Project>
      <Name>HeuristicLab.Problems.OneMax.Views-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.OneMax\3.3\HeuristicLab.Problems.OneMax-3.3.csproj">
      <Project>{F62BCD22-FB83-4444-9401-8031C2487A86}</Project>
      <Name>HeuristicLab.Problems.OneMax-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.QuadraticAssignment.Views\3.3\HeuristicLab.Problems.QuadraticAssignment.Views-3.3.csproj">
      <Project>{997F018D-AEA2-4F21-9301-82FAF6A5612D}</Project>
      <Name>HeuristicLab.Problems.QuadraticAssignment.Views-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.QuadraticAssignment\3.3\HeuristicLab.Problems.QuadraticAssignment-3.3.csproj">
      <Project>{79271BC8-4446-40E2-BB89-9BE4E17174FE}</Project>
      <Name>HeuristicLab.Problems.QuadraticAssignment-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.TestFunctions.Views\3.3\HeuristicLab.Problems.TestFunctions.Views-3.3.csproj">
      <Project>{6AE0E1F5-D3FF-43A3-90E1-2435E7493FB5}</Project>
      <Name>HeuristicLab.Problems.TestFunctions.Views-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.TestFunctions\3.3\HeuristicLab.Problems.TestFunctions-3.3.csproj">
      <Project>{88B9B0E3-344E-4196-82A3-0F9732506FE8}</Project>
      <Name>HeuristicLab.Problems.TestFunctions-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.TravelingSalesman.Views\3.3\HeuristicLab.Problems.TravelingSalesman.Views-3.3.csproj">
      <Project>{CDA28124-ACD0-4231-8EB0-C510B361F84E}</Project>
      <Name>HeuristicLab.Problems.TravelingSalesman.Views-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.TravelingSalesman\3.3\HeuristicLab.Problems.TravelingSalesman-3.3.csproj">
      <Project>{D767C38D-8014-46B0-9A32-03A3AECCE34A}</Project>
      <Name>HeuristicLab.Problems.TravelingSalesman-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.VehicleRouting.Views\3.3\HeuristicLab.Problems.VehicleRouting.Views-3.3.csproj">
      <Project>{D1386FE7-682D-4E18-8C4F-CFD423FA5DD0}</Project>
      <Name>HeuristicLab.Problems.VehicleRouting.Views-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Problems.VehicleRouting\3.3\HeuristicLab.Problems.VehicleRouting-3.3.csproj">
      <Project>{6410BDA6-3641-42B2-BABA-AA626E2F6F71}</Project>
      <Name>HeuristicLab.Problems.VehicleRouting-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Random\3.3\HeuristicLab.Random-3.3.csproj">
      <Project>{F4539FB6-4708-40C9-BE64-0A1390AEA197}</Project>
      <Name>HeuristicLab.Random-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Selection\3.3\HeuristicLab.Selection-3.3.csproj">
      <Project>{2C36CD4F-E5F5-43A4-801A-201EA895FE17}</Project>
      <Name>HeuristicLab.Selection-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.SequentialEngine\3.3\HeuristicLab.SequentialEngine-3.3.csproj">
      <Project>{DC3D7072-7999-4719-B65D-3997744D5DC1}</Project>
      <Name>HeuristicLab.SequentialEngine-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Tracing\3.3\HeuristicLab.Tracing-3.3.csproj">
      <Project>{EE2034D9-6E27-48A1-B855-42D45F69A4FC}</Project>
      <Name>HeuristicLab.Tracing-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\HeuristicLab.Visualization.ChartControlsExtensions\3.3\HeuristicLab.Visualization.ChartControlsExtensions-3.3.csproj">
      <Project>{315BDA09-3F4F-49B3-9790-B37CFC1C5750}</Project>
      <Name>HeuristicLab.Visualization.ChartControlsExtensions-3.3</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Shadow Include="Test References\HeuristicLab.MainForm.WindowsForms-3.3.accessor" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Builder.testsettings">
      <SubType>Designer</SubType>
    </None>
    <None Include="GA_SymbReg.hl">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="GA_TSP.hl">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <Content Include="Resources\ch130.opt.tour">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\ch130.tsp">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <Content Include="Resources\C101.opt.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\C101.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\mammographic_masses.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\towerData.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>